Package com.pixelmed.dicom

# Class ContentItemFactory.StringContentItem

java.lang.Object
com.pixelmed.dicom.ContentItem
com.pixelmed.dicom.ContentItemWithValue
com.pixelmed.dicom.ContentItemFactory.StringContentItem

All Implemented Interfaces:
  `TreeNode`

Direct Known Subclasses:
  `ContentItemFactory.DateContentItem`, `ContentItemFactory.DateTimeContentItem`, `ContentItemFactory.PersonNameContentItem`, `ContentItemFactory.TextContentItem`, `ContentItemFactory.TimeContentItem`, `ContentItemFactory.UIDContentItem`

Enclosing class:
  ContentItemFactory

protected abstract class ContentItemFactory.StringContentItem extends ContentItemWithValue

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`stringValue`

### Fields inherited from class com.pixelmed.dicom.ContentItemWithValue

`conceptName, referencedContentItemIdentifier, valueType`

### Fields inherited from class com.pixelmed.dicom.ContentItem

`observationDateTime, observationUID, relationshipType`

## Constructor Summary

Constructors
Constructor
Description
`StringContentItem(ContentItem parent, AttributeList list, AttributeTag tag)`
`StringContentItem(ContentItem parent, String valueType, String relationshipType, CodedSequenceItem conceptName, AttributeTag tagForValue, String stringValue, String observationDateTime, String observationUID)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getConceptValue()`
Get a string representation of the value of the concept.
`void`
`setConceptValue(AttributeTag tagForValue, String stringValue)`
`String`
`toString()`
Get a human-readable string representation of the content item.

### Methods inherited from class com.pixelmed.dicom.ContentItemWithValue

`contentItemNameMatchesCodeValueAndCodingSchemeDesignator, getConceptName, getConceptNameAndValue, getConceptNameCodeMeaning, getConceptNameCodeValue, getConceptNameCodingSchemeDesignator, getValueType`

### Methods inherited from class com.pixelmed.dicom.ContentItem

`addChild, addSibling, children, contentItemNameMatchesCodeValueAndCodingSchemeDesignator, getAllowsChildren, getAttributeList, getChildAt, getChildCount, getGraphicData, getGraphicType, getIndex, getNamedChild, getNamedChild, getObservationDateTime, getObservationUID, getParent, getParentAsContentItem, getPositionInTreeToUseAsReferencedContentItemIdentifier, getReferencedContentItemIdentifier, getReferencedContentItemIdentifierArray, getReferencedSOPClassUID, getReferencedSOPInstanceUID, getRelationshipType, getSingleStringValueOrNull, getSingleStringValueOrNullOfNamedChild, getSingleStringValueOrNullOfNamedChild, isLeaf`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### stringValue

protected String stringValue

## Constructor Details

### StringContentItem

public StringContentItem(ContentItem parent, AttributeList list, AttributeTag tag)

Parameters:
  `parent` - parent content item to add to
  `list` - list of attributes for this content item
  `tag` - tag of the attribute containing the string value of this content item

### StringContentItem

public StringContentItem(ContentItem parent, String valueType, String relationshipType, CodedSequenceItem conceptName, AttributeTag tagForValue, String stringValue, String observationDateTime, String observationUID) throws DicomException

Parameters:
  `parent` - parent content item to add to
  `valueType` - the value type
  `relationshipType` - relationship type
  `conceptName` - coded concept name
  `tagForValue` - tag of the attribute to encode the string value of this content item
  `stringValue` - string value
  `observationDateTime` - Observation DateTime (or null or empty if none)
  `observationUID` - Observation UID (or null or empty if none)
Throws:
  `DicomException` - if error in DICOM encoding

## Method Details

### getConceptValue

public String getConceptValue()
Description copied from class: `ContentItemWithValue`

Get a string representation of the value of the concept.

The exact form of the returned string is specific to the type of ContentItem.

Specified by:
  `getConceptValue` in class `ContentItemWithValue`
Returns:
  a String representation of the name and value, or an empty string

### setConceptValue

public void setConceptValue(AttributeTag tagForValue, String stringValue) throws DicomException

Parameters:
  `tagForValue` - tag of the attribute to encode the string value of this content item
  `stringValue` - if null, removes the value
Throws:
  `DicomException` - if error in DICOM encoding

### toString

public String toString()
Description copied from class: `ContentItemWithValue`

Get a human-readable string representation of the content item.

Overrides:
  `toString` in class `ContentItemWithValue`
Returns:
  the string representation of the content item